package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.text.Convert;
import com.ruoyi.system.domain.FeedbackFile;
import com.ruoyi.system.mapper.FeedbackFileMapper;
import com.ruoyi.system.service.IFeedbackFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 反馈附件Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-10-21
 */
@Service
public class FeedbackFileServiceImpl implements IFeedbackFileService
{
    @Autowired
    private FeedbackFileMapper feedbackFileMapper;

    /**
     * 查询反馈附件
     * 
     * @param fileId 反馈附件ID
     * @return 反馈附件
     */
    @Override
    public FeedbackFile selectFeedbackFileById(Long fileId)
    {
        return feedbackFileMapper.selectFeedbackFileById(fileId);
    }

    /**
     * 查询反馈附件列表
     * 
     * @param feedbackFile 反馈附件
     * @return 反馈附件
     */
    @Override
    public List<FeedbackFile> selectFeedbackFileList(FeedbackFile feedbackFile)
    {
        return feedbackFileMapper.selectFeedbackFileList(feedbackFile);
    }

    /**
     * 新增反馈附件
     * 
     * @param feedbackFile 反馈附件
     * @return 结果
     */
    @Override
    public int insertFeedbackFile(FeedbackFile feedbackFile)
    {
        return feedbackFileMapper.insertFeedbackFile(feedbackFile);
    }

    /**
     * 修改反馈附件
     * 
     * @param feedbackFile 反馈附件
     * @return 结果
     */
    @Override
    public int updateFeedbackFile(FeedbackFile feedbackFile)
    {
        return feedbackFileMapper.updateFeedbackFile(feedbackFile);
    }

    /**
     * 删除反馈附件对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteFeedbackFileByIds(String ids)
    {
        return feedbackFileMapper.deleteFeedbackFileByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除反馈附件信息
     * 
     * @param fileId 反馈附件ID
     * @return 结果
     */
    @Override
    public int deleteFeedbackFileById(Long fileId)
    {
        return feedbackFileMapper.deleteFeedbackFileById(fileId);
    }
}
